> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/csgo/realtime-data/single-match.md).

# Single match

## Single match

> Return full single match data,and obtain new or changed data according to the time\<br/>\<br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)\<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)

```json
{"openapi":"3.0.1","info":{"title":"Gaming CSGO API","version":"1.0.250516"},"tags":[{"name":"REALTIME DATA","description":"REALTIME DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/csgo/match/single/list":{"get":{"tags":["REALTIME DATA"],"description":"Return full single match data,and obtain new or changed data according to the time<br/><br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)","summary":"Single match","operationId":"getMatchSingleList","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"$ref":"#/components/parameters/Page"},{"$ref":"#/components/parameters/Time"},{"$ref":"#/components/parameters/Uuid"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"$ref":"#/common/schemas/Query"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MatchSingle"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}},"Page":{"name":"page","in":"query","description":"page query,return the data of the query page number (starting from 1), the default is 1000","schema":{"type":"integer","format":"int32"}},"Time":{"name":"time","in":"query","description":"time query,return records (timestamp) greater than or equal to the update time,sorted according to the update time","schema":{"type":"integer","format":"int32"}},"Uuid":{"name":"uuid","in":"query","description":"uuid query,return the queried uuid data","schema":{"type":"string"}}},"schemas":{"MatchSingle":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Single match id"},"match_id":{"type":"string","description":"Match id"},"box_num":{"type":"integer","description":"Current inning"},"map_id":{"type":"string","description":"Map id"},"status_id":{"type":"integer","description":"Match status, please refer to Status Code -> Match Status"},"match_time":{"type":"integer","description":"Match time"},"home_team_id":{"type":"string","description":"Home team id"},"home_score":{"type":"integer","description":"Home team score"},"away_team_id":{"type":"string","description":"Away team id"},"away_score":{"type":"integer","description":"Away team score"},"score":{"$ref":"#/deps/schemas/Score"},"result":{"$ref":"#/deps/schemas/Result"},"over_result":{"$ref":"#/deps/schemas/OverResult"},"rating":{"$ref":"#/deps/schemas/Rating"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"Query":{"type":"object","description":"Inquiry","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type,uuid query:uuid,page query:page,time query:time,default page"},"uuid":{"type":"string","description":"uuid query value (uuid query,field exists)"},"page":{"type":"integer","description":"page query value (page query,field exists)"},"time":{"type":"integer","description":"time query value,timestamp format (time query,field exists)"},"min_time":{"type":"integer","description":"Return the smallest time in the data(updated_at value) (time query,field exists)"},"max_time":{"type":"integer","description":"Return the largest time in the data(updated_at value) (time query,field exists)"}}},"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}},"deps":{"schemas":{"Score":{"type":"array","description":"Score field description<br/>The array is divided into two, corresponding to the scores of the home team and the away team respectively<br/>In each array, there will be 1-3 values<br/>example:[[10, 5], [6, 7]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n| `1` | Nested array; see details below | Array |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Home team first half score | Integer |\n| `0[1]` | Home team second half score | Integer |\n| `0[2]` | Home team overtime score (existence of overtime) | Integer |\n\n**Index `1` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0]` | Away team first half score | Integer |\n| `1[1]` | Away team second half score | Integer |\n| `1[2]` | Away team overtime score (existence of overtime) | Integer |\n","items":""},"Result":{"type":"array","description":"Victory signs for the first and second half<br/>The array is divided into two, the first half and the second half<br/>Each one is a round: 1. ct kills everyone 2. t kills everyone 3. t wins the explosion 4. ct wins the bomb removal 5. ct time runs out to win 0. None<br/>example:[[\"141041110400114\", \"003220220000000\"], [\"000300002032000\", \"410001000000000\"]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n| `1` | Nested array; see details below | Array |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Home team first half | String |\n| `0[1]` | Home team second half | String |\n\n**Index `1` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0]` | Away team first half | String |\n| `1[1]` | Away team second half | String |\n","items":""},"OverResult":{"type":"array","description":"Victory signs for the overtime<br/>Each one is a round: 1. ct kills everyone 2. t kills everyone 3. t wins the explosion 4. ct wins the bomb removal 5. ct time runs out to win 0. None<br/>example:[\"300044114002\", \"011300000110\"]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Home team | String |\n| `1` | Away team | String |\n","items":""},"Rating":{"type":"array","description":"Team rating<br/>example:[1.31, 0.74]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Home team rating | Float |\n| `1` | Away team rating | Float |\n","items":""}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/csgo/realtime-data/single-match.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
